mod spriteimage;
mod spritetextarea;

pub(super) use spriteimage::SpriteImage;
pub(super) use spritetextarea::SpriteTextArea;

use nalgebra::{Point2, Vector2};

/// Represents a rectangular region inside a sprite.
pub(crate) struct SpriteRect {
	/// The position of the top-left corner of this rectangle, in fractional units.
	/// (0.0 is left edge of sprite, 1.0 is right edge)
	pub pos: Point2<f32>,

	/// The width and height of this rectangle, in fractional units.
	/// 1.0 will be as tall as the sprite, 0.5 will be half as tall
	pub dim: Vector2<f32>,
}
